Amend PayTo Agreement Details

Amend details of a particular agreement via its UUID. There are two types of amendments possible via this operation:

  • Unilateral amendments - which does not need debtor approval and will be effective immediately
  • Bilateral amendments - which does require debtor approval and will be effective post debtor authorisation

Optional fields can also be cleared via an amend request if needed. Passing an hyphen(-) character for any optional field would indicate its value needs to be cleared.

Either unilateral or bilateral amendments will be accepted in an amendment request. Both types of amendments cannot be provided in a single request.

At any given point of time, only a single unilateral or a single bilateral amendment will be allowed. Example - If a bilateral amendment is already in progress, another bilateral amendment request will not be accepted until the first completes.

Unilateral details that can be amended:

  • description
  • short_description
  • creditor_info
  • payment_initiator_info

Bilateral details that can be amended:

  • validity_end_date
  • transfer_arrangement
  • automatic_renewal
  • payment_terms - payment_amount_info, first_payment_info, last_payment_info, maximum_amount_info and point_in_time can be amended at any point however frequency and count_per_period can be amended only if no payments have been requested for the agreement yet.

Note - Bilateral amendments will be effective only post debtor authorization. Debtor should authorize the amendments within 5 days (default duration) or within the custom expiry duration (response_requested_by) specified in the amendment request.

Path Params
string
required
Body Params
string
enum
required

Identifies the arrangement (attended or unattended).

Priority of the agreement amendment authorisation notification to be sent to the user for approval.

CodeDescription
ATTENDEDIf the marketplace wants the debtor user to be notified about the agreement amendment authorisation action immediately, the priority should be set as Attended.
UNATTENDEDIf the marketplace wants the debtor user to be notified about the agreement amendment authorisation at an appropriate time (not immediately), the priority should be set as Unattended.

Allowed:
string

A date expressed in the YYYY-MM-DD'T'HH:mm:ss[.SSS][.SS][.S]'Z' format and in Australia timezone.

This field can be used to specify a custom expiry duration for the authorisation request pending debtor’s approval. Any duration which is less than the default & max duration of 5 days will be accepted. Example - If you want the debtor to approve the changes proposed on the agreement within 15 mins post creation, mention the duration in this field accordingly. However, post the duration (after 15 mins), you would need to invoke the Recall API to expire this authorisation request.

unilateral_amendments
object

Specific characteristics about the unilateral fields. Specifies fields for which amendments are effective immediately and do not require debtor authorisation.

Property descriptions:

  • description - Describes what the agreement is being established for. Examples include a product, particular service offering, etc. If the description is less than 35 characters, then the Short Description should be used instead of the Description field. If this property is omitted then the description will not be modified as part of the amendment. Set this property to "-" to indicate that the description is to be cleared on the agreement.
  • short_description - Describes what the agreement is being established for. Examples include a product, particular service offering, etc. If the description is less than 35 characters, then the Short Description should be used instead of the Description field. If this property is omitted then the short description will not be modified as part of the amendment. Set this property to "-" to indicate that the short description is to be cleared on the agreement.
  • creditor_info - Creditor Details. If this property is omitted then the creditor information will not be modified as part of the amendment.
  • payment_initiator_info - Initiating party details. If this property is omitted then the payment initiator information will not be modified as part of the amendment.
bilateral_amendments
object

Specific characteristics about the bilateral fields.

Specifies fields for which amendments are effective only post debtor authorisation.

Property descriptions:

  • automatic_renewal - Automatic renewal of an agreement at the end of the defined period. An example of an automatically renewing agreement might be a gym membership that automatically rolls over, or a phone contract. If this property is omitted then the automatic renewal will not be modified as part of the amendment.
  • validity_end_date - Validity end date of the agreement. If specified, the agreement is valid until 23:59:59.999 Australia Sydney time on this date. If this property is omitted then the validity end date will not be modified as part of the amendment. Set this property to "-" to indicate that the validity end date is to be cleared on the agreement. Note - Clearing validity end date requires to provide the auto-renewal property (automatic_renewal=true)
  • transfer_arrangement - Additional details about the agreement terms with consideration to the transfer of items/goods/services. Examples might include payment of shares, transfer of property, or fulfilment of a purchase order. If this property is omitted then the transfer arrangement will not be modified as part of the amendment. Set this property to "-" to indicate that the transfer arrangement is to be cleared on the agreement.
  • payment_terms - Set of characteristics detailing agreement payment information. Payment terms like payment_amount_info, first_payment_info, last_payment_info, maximum_amount_info and point_in_time can be amended at any point; however, frequency and count_per_period can be amended only if no payments have been requested for the agreement yet. If this property is omitted then the payment information will not be modified as part of the amendment.

The following rules apply to this structure:

  • ValidityEndDateRule: validity_end_date should be greater than OR same as validity_start_date.

  • AutomaticExtensionRule: validity_end_date should not be provided if agreement should be auto-renewed.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json